## ceph 0.21

=== debian/changelog ===
ceph (0.21-0ubuntu1) maverick; urgency=low

  * Initial release based on upstream package (LP: #607730)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 30 Jul 2010 08:37:32 -0700
