=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, autoconf, automake, cdbs, libfuse-dev, libboost-dev, libedit-dev, libssl-dev, libtool, libexpat1-dev, libfcgi-dev, libatomic-ops-dev
Standards-Version: 3.8.4

Package: ceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libedit2, hdparm, binutils
Recommends: ceph-fuse, libceph1, librados1, libcrush1, btrfs-tools
Description: distributed storage and file system
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster.

Package: ceph-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Recommends: fuse-utils
Suggests: ceph
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows you to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows you to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: libcrush1
Conflicts: libcrush
Replaces: libcrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CRUSH placement algorithm
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices without a centralized directory.  It was
 originally designed for mapping data objects to storage servers, although it
 may be useful in other domains.  Because large systems are inherently
 dynamic, CRUSH is designed to facilitate the addition and removal of devices
 while minimizing unnecessary object movement.  The algorithm accommodates a
 wide variety of data replication and reliability mechanisms and distributes
 data in terms of user-defined policies that enforce separation of replicas
 across failure domains.

Package: libcrush1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libcrush1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libcrush1
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices without a centralized directory.  It was
 originally designed for mapping data objects to storage servesr, although it
 may be useful in other domains.  Because large systems are inherently
 dynamic, CRUSH is designed to facilitate the addition and removal of devices
 while minimizing unnecessary object movement.  The algorithm accommodates a
 wide variety of data replication and reliability mechanisms and distributes
 data in terms of user-defined policies that enforce separation of replicas
 across failure domains.
 .
 This package contains debugging symbols for libcrush.

Package: libcrush1-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush1 (= ${binary:Version})
Description: CRUSH mapping algorithm (development files)
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices without a centralized directory.  It was
 originally designed for mapping data objects to storage servesr, although it
 may be useful in other domains.  Because large systems are inherently
 dynamic, CRUSH is designed to facilitate the addition and removal of devices
 while minimizing unnecessary object movement.  The algorithm accommodates a
 wide variety of data replication and reliability mechanisms and distributes
 data in terms of user-defined policies that enforce separation of replicas
 across failure domains.
 .
 This package contains development files needed for building applications that
 link against libcrush.

Package: librados1
Conflicts: librados
Replaces: librados
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush1
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: librados1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librados1
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados1.

Package: librados1-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librados1 (= ${binary:Version})
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados.

Package: libceph1
Conflicts: libceph
Replaces: libceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush1
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libceph1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libceph1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libceph1
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains debugging symbols for libceph1.

Package: libceph1-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libceph1 (= ${binary:Version})
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains development files needed for building applications that
 link against libceph.

Package: radosgw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libexpat1, librados1
Description: REST gateway for RADOS distributed object store
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains the proxy daemon and related tools only.

Package: radosgw-dbg
Architecture: any
Section: debug
Priority: extra
Depends: radosgw (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for radosgw
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains debugging symbols for radosgw.
