## ceph 0.24.2

=== debian/changelog ===
ceph (0.24.2-0ubuntu1) natty; urgency=low

  [ Clint Byrum <clint@ubuntu.com> ]
  * New upstream release. (LP: #658670, LP: #684011)
  * debian/patches/fix-mkcephfs.patch: dropped (applied upstream)
  * Removed .la files from libceph1-dev, libcrush1-dev and 
    librados1-dev (per Debian policy v3.9.1 10.2).
  * debian/control: adding pkg-config as a build dependency
  * debian/control: depend on libcrypto++-dev instead of libssl-dev
  * debian/watch: added watch file

  [ Micah Gersten <micahg@ubuntu.com> ]
  * debian/control: add Homepage

 -- Clint Byrum <clint@ubuntu.com>  Sat, 12 Feb 2011 22:50:26 -0600
