=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp
build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	./autogen.sh
	./configure --prefix=/usr
	$(MAKE)
	cp src/init-ceph debian/ceph.init

	touch $@
clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	test ! -f Makefile || $(MAKE) clean

	dh_clean 
install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR) install


# Add here commands to install the package into debian/testpack.
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installlogrotate
	dh_installinit
	dh_installman
	dh_lintian
	dh_link

	dh_strip -k --exclude=libcls_
	chmod +x debian/move_dbg_files.sh && debian/move_dbg_files.sh

	dh_compress
	dh_fixperms
	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
