=== debian/watch ===
version=3
http://ceph.newdream.net/download/ceph-(\d.*)\.tar\.gz
