## ceph 0.34

=== debian/changelog ===
ceph (0.34-1) unstable; urgency=low

  * New upstream release (closes: #638714).
  * Make librbd-dev depends on librados-dev as it uses headers from the latter
    (closes: #636845).
  * Add new binary packages, gceph, gceph-dbg and obsync . The libcrush ones
    removed.
  * Change to quilt source format and tune packaging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 28 Aug 2011 15:56:16 +0200

ceph (0.27-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (closes: #621208). 

 -- Luk Claes <luk@debian.org>  Sat, 28 May 2011 22:28:48 +0200

ceph (0.27-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 25 Apr 2011 10:09:05 +0200

ceph (0.25.2-1) unstable; urgency=low

  * New upstream release.
  * Make Ceph cross buildable (closes: #618939), thanks to Hector Oron.
  * Disable libatomic-ops on ARMv4t (armel) archs to prevent FTBFS
    (closes: #615235), thanks go to Hector Oron again.
  * Rename librados1{,-dbg,-dev} packages to librados2{,-dbg,-dev} ones;
    conflict with and replace the former ones.
  * Add librbd1 and librbd-dev packages.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Mar 2011 15:51:23 +0200

ceph (0.24.3-2) unstable; urgency=low

  * Make Ceph Linux only and build on all Linux archs (closes: #614890).
  * Support parallel building via DEB_BUILD_OPTIONS .
  * Add watch file, thanks to Clint Byrum (closes: #615021).
  * Tune packaging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 25 Feb 2011 15:17:26 +0100

ceph (0.24.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 19 Feb 2011 12:25:43 +0100

ceph (0.24.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 Jan 2011 15:25:14 +0100

ceph (0.24.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 11 Jan 2011 22:23:18 +0100

ceph (0.24-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 01 Dec 2010 09:26:25 -0800

ceph (0.23.1-1) experimental; urgency=low

  * Initial release (Closes: #506040)

 -- Sage Weil <sage@newdream.net>  Sun, 21 Nov 2010 15:22:21 -0800
