=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.newdream.net/
Vcs-Git: git://ceph.newdream.net/git/ceph.git
Vcs-Browser: http://ceph.newdream.net/git/?p=ceph.git;a=summary
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev
Standards-Version: 3.9.2

Package: ceph
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils
Recommends: ceph-client-tools, ceph-fuse, libceph1, librados2, librbd1, btrfs-tools, gceph
Description: distributed storage and file system
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: gceph
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: 
Suggests: ceph
Description: Graphical ceph cluster status utility
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 gtk-based gui to monitor cluster status, similar to the 'ceph'
 command.

Package: gceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: gceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for gceph
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 gtk-based gui to monitor cluster status, similar to the 'ceph'
 command.
 .
 This package contains the debugging symbols for gceph.

Package: ceph-fuse
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Recommends: fuse-utils
Suggests: ceph
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: ceph-client-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ceph
Description: utilities to mount a ceph filesystem with the kernel client
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the mount
 utility, that allows one to mount the ceph fs with the kernel client.

Package: ceph-client-tools-dbg
Architecture: linux-any
Depends: ceph-client-tools (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: debugging symbols for ceph-client-tools
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the mount
 utility, that allows one to mount the ceph fs with the kernel client.
 .
 This package contains the debugging symbols for ceph-client-tools.

Package: librados2
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: librados, librados1, libcrush, libcrush1
Replaces: librados, librados1, libcrush, libcrush1
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Conflicts: librados1-dbg, libcrush1-dbg
Replaces: librados1-dbg, libcrush1-dbg
Description: debugging symbols for librados2
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados2.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
Conflicts: librados1-dev, libcrush-dev, libcrush1-dev
Replaces: librados1-dev, libcrush-dev, libcrush1-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: librbd1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2
Description: RADOS block device client library
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.

Package: librbd1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librbd1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librbd1
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains debugging symbols for librbd1.

Package: librbd-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version}), librados-dev
Conflicts: librbd1-dev
Replaces: librbd1-dev
Description: RADOS block device client library (development files)
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains development files needed for building applications that
 link against librbd1.

Package: libceph1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libceph
Replaces: libceph
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libceph1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libceph1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libceph1
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains debugging symbols for libceph1.

Package: libceph-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libceph1 (= ${binary:Version})
Conflicts: libceph1-dev
Replaces: libceph1-dev
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains development files needed for building applications that
 link against libceph1.

Package: librgw1
Conflicts: librgw
Replaces: librgw
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: radosgw data access library
 radosgw is a REST gateway for RADOS distributed object store.
 librgw contains support for reading and writing objects in the
 format expected by radosgw.

Package: librgw1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librgw1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librgw
 radosgw is a REST gateway for RADOS distributed object store.
 librgw contains support for reading and writing objects in the
 format expected by radosgw.
 .
 This package contains debugging symbols for librgw.

Package: librgw-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}, librgw1 (= ${binary:Version})
Description: RGW distributed object store client library (development files)
 radosgw is a REST gateway for RADOS distributed object store.
 librgw contains support for reading and writing objects in the
 format expected by radosgw.
 .
 This package contains development files needed for building applications that
 link against librgw.

Package: radosgw
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libexpat1, librados2 (= ${binary:Version})
Description: REST gateway for RADOS distributed object store
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains the proxy daemon and related tools only.

Package: radosgw-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: radosgw (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for radosgw
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains debugging symbols for radosgw.

Package: obsync
Architecture: linux-any
Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
Description: synchronize data between cloud object storage providers or a local directory
 obsync is a tool to synchronize objects between cloud object
 storage providers, such as Amazon S3 (or compatible services), a
 Ceph RADOS cluster, or a local directory.

Package: python-ceph
Architecture: linux-any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
Description: Python libraries for the Ceph distributed filesystem
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
