=== debian/control ===
--- 
+++ 
@@ -87,7 +87,7 @@
 
 Package: ceph-client-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version}), librbd1 (= ${binary:Version})
 Suggests: ceph
 Description: utilities to mount a ceph filesystem with the kernel client
  Ceph is a distributed network file system designed to provide
@@ -151,7 +151,7 @@
 Package: librbd1
 Architecture: linux-any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, librados2
+Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
 Description: RADOS block device client library
  RBD is a block device striped across multiple distributed objects
  in RADOS, a reliable, autonomic distributed object storage cluster
@@ -298,6 +298,3 @@
 Section: python
 Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
 Description: Python libraries for the Ceph distributed filesystem
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .
