## ceph 0.38

=== debian/changelog ===
ceph (0.38-1) unstable; urgency=low

  * New upstream release (closes: #647764), missingok is now part of logrotate
    directives (closes: #645651).
  * Rename ceph-client-tools package to ceph-common , libceph-dev to
    libcephfs-dev and libceph1{,-dbg} ones to libcephfs1{,-dbg} respectively.
  * Update upstream VCS locations.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Nov 2011 21:40:52 +0100
