=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Homepage: http://ceph.newdream.net/
-Vcs-Git: git://ceph.newdream.net/git/ceph.git
-Vcs-Browser: http://ceph.newdream.net/git/?p=ceph.git;a=summary
+Vcs-Git: git://github.com/NewDreamNetwork/ceph.git
+Vcs-Browser: https://github.com/NewDreamNetwork/ceph
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Uploaders: Sage Weil <sage@newdream.net>
 Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev
@@ -11,8 +11,8 @@
 
 Package: ceph
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils
-Recommends: ceph-client-tools, ceph-fuse, libceph1, librados2, librbd1, btrfs-tools, gceph
+Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common
+Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools, gceph
 Description: distributed storage and file system
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
@@ -85,26 +85,32 @@
  .
  This package contains the debugging symbols for ceph-fuse.
 
-Package: ceph-client-tools
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version}), librbd1 (= ${binary:Version})
+Package: ceph-common
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version})
+Conflicts: ceph-client-tools
+Replaces: ceph-client-tools
 Suggests: ceph
-Description: utilities to mount a ceph filesystem with the kernel client
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is the mount
- utility, that allows one to mount the ceph fs with the kernel client.
-
-Package: ceph-client-tools-dbg
-Architecture: linux-any
-Depends: ceph-client-tools (= ${binary:Version}), ${misc:Depends}
-Section: debug
-Priority: extra
-Description: debugging symbols for ceph-client-tools
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is the mount
- utility, that allows one to mount the ceph fs with the kernel client.
- .
- This package contains the debugging symbols for ceph-client-tools.
+Description: common utilities to mount and interact with a ceph filesystem
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a collection
+ of common tools, including the mount utility, that allows one to mount the
+ ceph fs with the kernel client.
+
+Package: ceph-common-dbg
+Architecture: linux-any
+Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
+Conflicts: ceph-client-tools-dbg
+Replaces: ceph-client-tools-dbg
+Section: debug
+Priority: extra
+Description: debugging symbols for ceph-common
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a collection
+ of common tools, including the mount utility, that allows one to mount the
+ ceph fs with the kernel client.
+ .
+ This package contains the debugging symbols for ceph-common.
 
 Package: librados2
 Architecture: linux-any
@@ -186,37 +192,39 @@
  This package contains development files needed for building applications that
  link against librbd1.
 
-Package: libceph1
+Package: libcephfs1
 Architecture: linux-any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libceph
-Replaces: libceph
+Conflicts: libceph, libceph1
+Replaces: libceph, libceph1
 Description: Ceph distributed file system client library
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
  shared library allowing applications to access a Ceph distributed
  file system via a POSIX-like interface.
 
-Package: libceph1-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: libceph1 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for libceph1
+Package: libcephfs1-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: libcephfs1 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libceph1-dbg
+Replaces: libceph1-dbg
+Description: debugging symbols for libcephfs1
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
  shared library allowing applications to access a Ceph distributed
  file system via a POSIX-like interface.
  .
- This package contains debugging symbols for libceph1.
-
-Package: libceph-dev
+ This package contains debugging symbols for libcephfs1.
+
+Package: libcephfs-dev
 Architecture: linux-any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libceph1 (= ${binary:Version})
-Conflicts: libceph1-dev
-Replaces: libceph1-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcephfs1 (= ${binary:Version})
+Conflicts: libceph1-dev, libceph-dev
+Replaces: libceph1-dev, libceph-dev
 Description: Ceph distributed file system client library (development files)
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
@@ -224,7 +232,7 @@
  file system via a POSIX-like interface.
  .
  This package contains development files needed for building applications that
- link against libceph1.
+ link against libcephfs1.
 
 Package: librgw1
 Conflicts: librgw
@@ -263,7 +271,7 @@
 
 Package: radosgw
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libexpat1, librados2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, libexpat1, librados2 (= ${binary:Version})
 Description: REST gateway for RADOS distributed object store
  RADOS is a distributed object store used by the Ceph distributed
  storage system.  This package provides a REST gateway to the
@@ -291,10 +299,3 @@
 Description: synchronize data between cloud object storage providers or a local directory
  obsync is a tool to synchronize objects between cloud object
  storage providers, such as Amazon S3 (or compatible services), a
- Ceph RADOS cluster, or a local directory.
-
-Package: python-ceph
-Architecture: linux-any
-Section: python
-Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
-Description: Python libraries for the Ceph distributed filesystem
