=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,7 @@
 	$(MAKE)
 
 	cp src/init-ceph debian/ceph.init
+	cp src/init-radosgw debian/radosgw.init
 	cp src/logrotate.conf debian/ceph.logrotate
 
 	touch $@
@@ -76,7 +77,7 @@
 	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
 		config.sub depcomp install-sh  ltmain.sh  missing
 
-	rm -f debian/ceph.init debian/ceph.logrotate
+	rm -f debian/ceph.init debian/radosgw.init debian/ceph.logrotate
 
 	dh_clean
 
@@ -111,10 +112,10 @@
 
 	dh_strip -pceph --dbg-package=ceph-dbg -k --exclude=libcls_
 	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
-	dh_strip -pceph-client-tools --dbg-package=ceph-client-tools-dbg
+	dh_strip -pceph-common --dbg-package=ceph-common-dbg
 	dh_strip -plibrados2 --dbg-package=librados2-dbg
 	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
-	dh_strip -plibceph1 --dbg-package=libceph1-dbg
+	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
 	dh_strip -pradosgw --dbg-package=radosgw-dbg
 	dh_strip -pgceph --dbg-package=gceph-dbg
 	dh_strip -plibrgw1 --dbg-package=librgw1-dbg
