## ceph 0.40

=== debian/changelog ===
ceph (0.40-1) unstable; urgency=low

  * New upstream release (closes: #652037).
  * Adjust copyright to match upstream source changes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 14 Jan 2012 12:01:30 +0100
