=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://github.com/NewDreamNetwork/ceph
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Uploaders: Sage Weil <sage@newdream.net>
-Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev
+Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev, uuid-dev
 Standards-Version: 3.9.2
 
 Package: ceph
@@ -111,6 +111,19 @@
  ceph fs with the kernel client.
  .
  This package contains the debugging symbols for ceph-common.
+
+Package: ceph-resource-agents
+Architecture: linux-any
+Recommends: pacemaker
+Priority: extra
+Depends: ceph (= ${binary:Version}), ${misc:Depends}, resource-agents
+Description: OCF-compliant resource agents for Ceph
+ Ceph is a distributed storage and network file system designed to provide
+ excellent performance, reliability, and scalability.
+ .
+ This package contains the resource agents (RAs) which integrate
+ Ceph with OCF-compliant cluster resource managers,
+ such as Pacemaker.
 
 Package: librados2
 Architecture: linux-any
@@ -288,14 +301,3 @@
 Description: debugging symbols for radosgw
  RADOS is a distributed object store used by the Ceph distributed
  storage system.  This package provides a REST gateway to the
- object store that aims to implement a superset of Amazon's S3
- service.
- .
- This package contains debugging symbols for radosgw.
-
-Package: obsync
-Architecture: linux-any
-Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
-Description: synchronize data between cloud object storage providers or a local directory
- obsync is a tool to synchronize objects between cloud object
- storage providers, such as Amazon S3 (or compatible services), a
